<?
include "config.php";
?>


<? include "top.txt"; ?>



<?
$result = mysql_query ("select * from partner where Login='$login' and Pass='$pass'",$cnct);
$data=mysql_fetch_object($result);
if (mysql_num_rows($result)==0){echo 'Ошибка авторизации! Возможно вы ввели неверный логин или пароль или же Ваша пользовательская сессия истекла. Если Вы забыли пароль, то восстановите его на e-mail или WMID, с помощью <a href="lostpass.php" class="link4">этого раздела</a>.
<br><br><center><a href="javascript:history.back()" class="link4">Вернуться</a></center>
';}
else {


if ($data->Attestat == "0" and $data->Balance < $minium1) {
echo "Чтобы вывести заработанные средства у Вас должно быть как миниум 2 доллара на Вашем партнёрском счету.";
}
elseif ($data->Attestat == "0" and $data->Balance >= $minium1) {
if ($action == "BblBOD") {


$ourpurse = $pursepart; 
srand((double)microtime()*1000000);
$trn_id  = rand(1, 100000000000000);
$wmpurse = $data->WMZ; 
$data->Balance = $data->Balance/2;
$data->Balance = $data->Balance*2;
$balance1 = $data->Balance;
if ($balance1 <= "1.26") {
$komiss = "0.01";
}
elseif ($balance1 > "1.26" && $balance1 <= "1.87")  {
$komiss = "0.02";
}
elseif ($balance1 > "1.87" && $balance1 <> "9" && $balance1 <> "18" && $balance1 <> "24") {
$komiss = $balance1*0.008;
}
elseif ($balance1 == "9") {
$komiss = "0.08";
}
elseif ($balance1 == "18") {
$komiss = "0.15";
}
elseif ($balance1 == "24") {
$komiss = "0.2";
}
$chislo2 = $balance1-$komiss;
$summ = round($chislo2,2);
$amount  = $summ;
$dsc     = "Перевод партнёрских с сайта www.$domen";
list($wmtrn_n, $err) = TransCreate($ourpurse, $wmpurse, $amount, $trn_id, $dsc);
if ($err <> "") {
echo "<script> alert('Ошибка перевода: $err'); </script>";
}
else {
$result = mysql_query ("update partner set Balance=0 where Login='$login' and Pass='$pass'",$cnct);
echo "<script> alert('Платёж на сумму $summ WMZ на кошелёк $data->WMZ успешно выполнен'); history.back(); </script>";
exit;
}
}
if ($action == "BblBOD" && $err <> "" or $action <> "BblBOD") {
echo "Нажмите на кнопку, чтобы перевести, мгновенно, сумму, указанную ниже на указанный ниже кошелёк. Если деньги не будут переведены, то Вы получите соответственное сообщение.

<CENTER>
<form action=checkout.php?action=BblBOD method=post>
<input type=hidden name=login value=$login>
<input type=hidden name=pass value=$pass>
<input TYPE=submit VALUE='Вывести $data->Balance WMZ на $data->WMZ' class=submit>

";
}
}


elseif ($data->Attestat == "1" and $data->Balance < $minium2) {
echo "Чтобы вывести заработанные средства у Вас должно быть как миниум 50 центов на Вашем партнёрском счету.";
}
elseif ($data->Attestat == "1" and $data->Balance >= $minium2) {
if ($action == "BblBOD") {


$ourpurse = $pursepart; 
srand((double)microtime()*1000000);
$trn_id  = rand(1, 100000000000000);
$wmpurse = $data->WMZ; 
$data->Balance = $data->Balance/2;
$data->Balance = $data->Balance*2;
$balance1 = $data->Balance;
if ($balance1 <= "1.26") {
$komiss = "0.01";
}
elseif ($balance1 > "1.26" && $balance1 <= "1.87")  {
$komiss = "0.02";
}
elseif ($balance1 > "1.87" && $balance1 <> "9" && $balance1 <> "18" && $balance1 <> "24") {
$komiss = $balance1*0.008;
}
elseif ($balance1 == "9") {
$komiss = "0.08";
}
elseif ($balance1 == "18") {
$komiss = "0.15";
}
elseif ($balance1 == "24") {
$komiss = "0.2";
}
$chislo2 = $balance1-$komiss;
$summ = round($chislo2,2);
$amount  = $summ;
$dsc     = "Перевод партнёрских с сайта www.$domen";
list($wmtrn_n, $err) = TransCreate($ourpurse, $wmpurse, $amount, $trn_id, $dsc);
if ($err <> "") {
echo "<script> alert('Ошибка перевода: $err $data->WMZ $data->Balance'); </script>";
}
else {
$result = mysql_query ("update partner set Balance=0 where Login='$login' and Pass='$pass'",$cnct);
echo "<script> alert('Платёж на сумму $summ WMZ на кошелёк $data->WMZ успешно выполнен');  </script>";
}
}

if ($action == "BblBOD" && $err <> "" or $action <> "BblBOD") {
echo "Нажмите на кнопку, чтобы перевести, мгновенно, сумму, указанную ниже на указанный ниже кошелёк. Если деньги не будут переведены, то Вы получите соответственное сообщение.

<CENTER>
<form action=checkout.php?action=BblBOD method=post>
<input type=hidden name=login value=$login>
<input type=hidden name=pass value=$pass>
<input TYPE=submit VALUE='Вывести $data->Balance WMZ на $data->WMZ' class=submit>

";
}
}
?>
</center>
<br>
<a href="enterpartner.php?login=<?echo $login;?>&pass=<?echo $pass;?>" class="link4">Главная</a><br>
<a href="banner.php?login=<?echo $login;?>&pass=<?echo $pass;?>" class="link4" target="blank">Баннеры</a><br>
<a href="information.php?login=<?echo $login;?>&pass=<?echo $pass;?>" class="link4">Информация</a><br>
<a href="checkout.php?login=<?echo $login;?>&pass=<?echo $pass;?>" class="link4">Вывод денег</a><br>
<br>
<?
}
?>

<? include "down.txt"; ?>